WDCTL(8)

NOM
wdctl - Montrer l’état du watchdog matériel

SYNOPSIS

wdctl [options] [device...]

DESCRIPTION

Montrer l’état du watchdog matériel. Le périphérique par défaut est /dev/watchdog. Si plus d’un périphérique est indiqué, alors la sortie est séparée par une ligne vide.

Si le périphérique est déjà utilisé ou si l’utilisateur n’a pas la permission de lire dans ce périphérique, alors wdctl lit les données de sysfs. Dans ce cas, les informations sur les fonctionnalités (attributs) prises en charge peuvent être absentes.

Remarquez que le nombre de fonctionnalités watchdog prises en charge est spécifique au matériel.

OPTIONS

-f, --flags liste
    N’afficher que les attributs indiqués.

-F, --noflags
    Ne pas afficher de renseignements sur les attributs.

-I, --noident
    Ne pas afficher les renseignements d’identité du watchdog.

-n, --noheadings
    Ne pas afficher de ligne d’en-tête pour le tableau d’attributs.

-o, --output liste
    Définir les colonnes à utiliser dans le tableau d’attributs du watchdog. Si aucune disposition de sortie n’est indiquée, un ensemble par défaut est utilisé. Utilisez --help pour obtenir une liste de toutes les colonnes gérées.

-O, --oneline
    Afficher tous les renseignements voulus sur une ligne au format de sortie clef="valeur".

-p, --setpretimeout seconds
    Set the watchdog pre-timeout in seconds. A watchdog pre-timeout is a notification generated by the watchdog before the watchdog reset might occur in the event the watchdog has not been serviced. This notification is handled by the kernel and can be configured to take an action using sysfs or by --setpregovernor.

-g, --setpregovernor governor
    Set pre-timeout governor name. For available governors see default wdctl output.

-r, --raw
    Utiliser l’affichage au format brut.

-s, --settimeout seconds
    Définir l’expiration du watchdog en seconde.

-T, --notimeouts
    Ne pas afficher les expirations du watchdog.

-x, --flags-only
    Identique à -I -T.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version et quitter.

AUTEURS

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le

DISPONIBILITÉ

La commande wdctl fait partie du paquet util-linux, elle est disponible sur